CloudLinux - CloudLinux Blog - Beta: mod_lsapi updated
RSS

Beta: mod_lsapi updated

Beta: mod_lsapi updated

The new updated mod_lsapi packages for CloudLinux 6 and 7 as well as for Apache 2.4 (CloudLinux 6 and CloudLnux 7) and EasyApache 4 (CloudLinux 6 and 7) are available from our updates-testing repository.

mod_lsapi 1.1-16

httpd24-mod_lsapi 1.1-16

ea-apache24-mod_lsapi 1.1-16

Changelog:

  • MODLS-403: check for Cloudlinux added to liblsapi;
  • MODLS-434: handler value dropped after update;
  • MODLS-435: conflict with mpm_itk added to EA4 mod_lsapi;
  • MODLS-433: new mechanism lsapi and web-interface of cPanel.

To update:

cPanel & RPM Based

$ yum update liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
$ yum update mod_lsapi --enablerepo=cloudlinux-updates-testing
$ service httpd restart

DirectAdmin

$ yum update liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
$ cd /usr/local/directadmin/custombuild
$ ./build set cloudlinux_beta yes
$ ./build update
$ ./build mod_lsapi

To install, follow the instructions on the link:

http://docs.cloudlinux.com/index.html?installation_mod_lsapi.html

For EasyApache 4

To update:

$ yum update liblsapi liblsapi-devel ea-apache24-mod_lsapi --enablerepo=cl-ea4-testing --enablerepo=cloudlinux-updates-testing
$ service httpd restart 

If you are using ea-apache24-mod_lsapi-1.1-9 or lower, after update, all of your domains that used mod_lsapi will be switched to suphp as default php handler used from MultiPHP Manager. To turn on mod_lsapi back, go to MultiPHP Manager and chose lsapi handler.

To install:

$ yum-config-manager --enable cl-ea4-testing
$ yum update liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing

read http://docs.cloudlinux.com/index.html?cpanel_easyapache_4.html

$ yum-config-manager --disable cl-ea4-testing

Go to MultiPHP Manager and enable mod_lsapi on your domains through lsapi handler

To remove mod_lsapi:

Before deleting mod_lsapi, make sure to change the lsapi handler to any other from MultiPHP Manager.

http24 for CloudLinux 6 and Cloudlinux 7

For installation/update run:

$ yum update liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
$ yum install httpd24-mod_lsapi --enablerepo=cloudlinux-updates-testing
New privilege escalation vulnerability found in Li...
LibCare, a toolset for livepatching of user space ...
 

By accepting you will be accessing a service provided by a third-party external to https://www.cloudlinux.com/